Name:           textroom
Version:        0.8.2
Release:        %mkrel 15
Summary:        Full-screen rich text editor for writers
Group:          Office/Word processor
License:        GPLv3+
URL:            http://code.google.com/p/textroom/
Source:         http://textroom.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:         textroom-0.8.2-fix-hunspell.patch
Patch1:         textroom-0.8.2-fix-libdir.patch
Patch2:         textroom-0.8.2-fix-desktop.patch
Patch3:         textroom-0.8.2-fix-missing-include-for-new-g++.patch

BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(egl)
BuildRequires:  pkgconfig(hunspell)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libxml++-2.6)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_mixer)
BuildRequires:  qt4-devel

%description
Open source and cross-platform full-screen rich text editor for writers.

%files
%doc License ReadMe
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/hunspell/tr.aff
%{_datadir}/hunspell/tr.dic
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/sounds/keyany.wav
%{_datadir}/sounds/keyenter.wav
%{_datadir}/%{name}/

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

chmod -x ReadMe

%build
export CXXFLAGS="%{optflags} -std=gnu++11"
%qmake_qt4 PREFIX=%{_prefix}
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

# Remove the uninstall script
rm -rf %{buildroot}%{_bindir}/%{name}-uninstall


%changelog
* Sun Apr 03 2022 umeabot <umeabot> 0.8.2-15.mga9
+ Revision: 1841367
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.8.2-14.mga8
+ Revision: 1520487
- Mageia 8 Mass Rebuild

* Fri Nov 23 2018 daviddavid <daviddavid> 0.8.2-13.mga7
+ Revision: 1333544
- rebuild for new hunspell 1.7.0

* Sun Sep 23 2018 umeabot <umeabot> 0.8.2-12.mga7
+ Revision: 1301393
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 daviddavid <daviddavid> 0.8.2-11.mga7
+ Revision: 1136105
- rebuild for new libhunspell 1.6

* Fri Apr 22 2016 tv <tv> 0.8.2-10.mga6
+ Revision: 1004480
- rebuid for libhunspell 1.4

* Fri Jan 15 2016 akien <akien> 0.8.2-9.mga6
+ Revision: 923388
- Remove arch-conditional patching by using libsuff directly in P1

* Thu Oct 29 2015 daviddavid <daviddavid> 0.8.2-8.mga6
+ Revision: 896412
- compile C++ code with -std=gnu++11

* Wed Oct 15 2014 umeabot <umeabot> 0.8.2-7.mga5
+ Revision: 742532
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.2-6.mga5
+ Revision: 689853
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.8.2-5.mga4
+ Revision: 519632
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.8.2-4.mga3
+ Revision: 384489
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 18 2012 malo <malo> 0.8.2-3.mga3
+ Revision: 332255
- spec clean-up
- add patch to fix build due to missing include (new g++)
- update RPM group
+ mikala <mikala>
- Fix typo in URL

* Sun Jun 26 2011 fwang <fwang> 0.8.2-2.mga2
+ Revision: 114003
- link hunspell 1.3
- rebuild for new hunspell

* Tue Jun 14 2011 mikala <mikala> 0.8.2-1.mga2
+ Revision: 106048
- imported package textroom

